package com.bytedance.ies.im.core.service;

import X.C1101Ice;
import X.C1105Ici;
import X.C2809JAa;
import X.C3713Jdg;
import X.C3755JeM;
import X.Lnj;
import android.os.SystemClock;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;
import com.bytedance.ies.im.core.api.proxy.IIMCoreProxyService;

public class IMCoreProxyService implements IIMCoreProxyService {
    public static long LIZ = SystemClock.elapsedRealtime();

    static {
        Covode.recordClassIndex(29660);
    }

    public final C1105Ici LIZ() {
        return (C3755JeM) C2809JAa.LIZ.getValue();
    }

    public final C1101Ice LIZIZ() {
        return (C3713Jdg) C2809JAa.LIZIZ.getValue();
    }

    public static IIMCoreProxyService LIZJ() {
        MethodCollector.i(15149);
        IIMCoreProxyService iIMCoreProxyService = (IIMCoreProxyService) Lnj.LIZ(IIMCoreProxyService.class, false);
        if (iIMCoreProxyService != null) {
            MethodCollector.o(15149);
            return iIMCoreProxyService;
        }
        Object LIZIZ = Lnj.LIZIZ(IIMCoreProxyService.class, false);
        if (LIZIZ != null) {
            IIMCoreProxyService iIMCoreProxyService2 = (IIMCoreProxyService) LIZIZ;
            MethodCollector.o(15149);
            return iIMCoreProxyService2;
        }
        if (Lnj.LIZ == null) {
            synchronized (IIMCoreProxyService.class) {
                try {
                    if (Lnj.LIZ == null) {
                        Lnj.LIZ = new IMCoreProxyService();
                    }
                } catch (Throwable th) {
                    MethodCollector.o(15149);
                    throw th;
                }
            }
        }
        IMCoreProxyService iMCoreProxyService = (IMCoreProxyService) Lnj.LIZ;
        MethodCollector.o(15149);
        return iMCoreProxyService;
    }
}
